<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.swzdr.mapper.RyXfqtMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ryXfqtResultMap" type="org.springblade.swzdr.pojo.entity.RyXfqtEntity">
        <result column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="xfqt_id" property="xfqtId"/>
        <result column="byjs" property="byjs"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

    <select id="selectRyXfqtPage" resultMap="ryXfqtResultMap">
        select * from swzdr_ry_xfqt where is_deleted = 0
    </select>

    <select id="exportRyXfqt" resultType="org.springblade.swzdr.excel.RyXfqtExcel">
        SELECT * FROM swzdr_ry_xfqt ${ew.customSqlSegment}
    </select>

</mapper>
